.\" Manpage for sapconf.
.\" Contact mkoch@redhat.com to correct errors or typos.
.TH man 8 "07 Mar 2014" "1.0" "sapconf man page"
.SH NAME
sapconf \- prepares fresh installed RHEL for installation of SAP
.SH SYNOPSIS
sapconf [-d <dbtype>] [-f] [-n] [-q]

.SH DESCRIPTION
sapconf is a shell program for configuring/checking a Red Hat Enterprise Linux system according to the follwing SAP Notes:

  SAP Note 1400911 — SAP on Red Hat KVM 
  SAP Note 941735  — kernel settings
  SAP Note 2002167 — SAP on RHEL 7
  SAP Note 611361  — hostname length
  SAP Note 1631106 — RHEL for SAP Business Applications

Information will be printed if system is virtualized on XEN, KVM, RHEV or VMware. On VMs running on KVM it will install the
vm-dump-metrics tool required by the SAP monitoring infrastructure.
SE Linux status will only be checked.

.SH OPTIONS

   -d <dbtyp>   : used to set special parameters for Sybase and Oracle, respectively (i.e. sybase|syb|oracle|ora)
   -f           : FORCE mode: do actions which are not required, but makes your life easier (i.e. disable firewall)
   -n           : CHECK_ONLY mode: no modification will be made to the system
   -q           : quiet execution. log file directory: /var/log/sap
   -h           : help message

.\.SH SEE ALSO
.SH BUGS
If /etc/hosts contains a non-existing ip or unresolvable hostname for the primary interface the required setup of /etc/hosts may fail

.SH AUTHOR
Markus Koch,
Sherry Yu,
Frank Danapfel,
Jaroslav Škarvada,
Nils Philippsen,
Jan Grulich,
Than Ngo
